=== debian/control ===
Source: kernel-image-2.4.17-ia64
Section: base
Priority: optional
Maintainer:  Bdale Garbee <bdale@gag.com>
Standards-Version: 3.5.6.0
Build-Depends: debhelper, modutils, kernel-package (>= 7.37), bzip2

Package: kernel-source-2.4.17-ia64
Architecture: all
Section: devel
Priority: optional
Provides: kernel-source, kernel-source-2.4
Depends: binutils, bzip2, fileutils (>= 4.0)
Recommends: libc-dev, gcc, make
Suggests: libncurses-dev | ncurses-dev, task-tcltk-dev, kernel-package
Description: Linux kernel source for version 2.4.17 on IA-64
 This package provides the source code for the Linux kernel version 
 2.4.17 for IA-64 processors.
 .
 If you wish to use this package to create a custom Linux kernel, then
 it is suggested that you investigate the package kernel-package,
 which has been designed to ease the task of creating kernel image
 packages. 

Package: kernel-headers-2.4.17-ia64
Architecture: ia64
Section: devel
Priority: optional
Depends: fileutils (>= 4.0)
Provides: kernel-headers, kernel-headers-2.4
Description: Header files related to Linux kernel version 2.4.17 on IA-64
 This package provides kernel header files for version 2.4.17 on IA-64, for 
 sites that want the latest kernel headers. Please read
 /usr/share/doc/kernel-headers-2.4.17-ia64/debian.README.gz for details

Package: kernel-image-2.4.17-itanium
Architecture: ia64
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: initrd-tools (>= 0.1.6), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: elilo
Description: Linux kernel image for version 2.4.17 on IA-64 Itanium.
 This package contains the Linux kernel image for version 2.4.17 on
 IA-64 Itanium, the corresponding System.map file, and the modules built 
 by the packager.  It also contains scripts that try to ensure that the
 system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel.

Package: kernel-image-2.4.17-itanium-smp
Architecture: ia64
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: initrd-tools (>= 0.1.6), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: elilo
Description: Linux kernel image for version 2.4.17 on IA-64 Itanium SMP.
 This package contains the Linux kernel image for version 2.4.17 on
 IA-64 Itanium SMP, the corresponding System.map file, and the modules 
 built by the packager.  It also contains scripts that try to ensure that 
 the system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel.

Package: kernel-image-2.4.17-mckinley
Architecture: ia64
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: initrd-tools (>= 0.1.6), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: elilo
Description: Linux kernel image for version 2.4.17 on IA-64 McKinley.
 This package contains the Linux kernel image for version 2.4.17 on
 IA-64 McKinley, the corresponding System.map file, and the modules built 
 by the packager.  It also contains scripts that try to ensure that the
 system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel.

Package: kernel-image-2.4.17-mckinley-smp
Architecture: ia64
Section: base
Priority: optional
Provides: kernel-image,  kernel-image-2.4
Depends: initrd-tools (>= 0.1.6), fileutils (>= 4.0), modutils (>= 2.3.12)
Suggests: elilo
Description: Linux kernel image for version 2.4.17 on IA-64 McKinley SMP.
 This package contains the Linux kernel image for version 2.4.17 on
 IA-64 McKinley SMP, the corresponding System.map file, and the modules 
 built by the packager.  It also contains scripts that try to ensure that 
 the system is not left in a unbootable state after an update.
 .
 Kernel image packages are generally produced using kernel-package,
 and it is suggested that you install that package if you wish to
 create a custom kernel.
