=== debian/rules ===
--- 
+++ 
@@ -69,6 +69,9 @@
 	(cd linux && patch -p0 < ../patches/patch.CAN-2004-0109.ernie)
 	(cd linux && patch -p1 < ../patches/patch.CAN-2004-0177.ext3_2.4)
 	(cd linux && patch -p7 < ../patches/patch.CAN-2004-0178.sb)
+	(cd linux && patch -p1 < ../patches/2.4.18-14.3_to_2.4.18-14.4_backport.patch)
+	## prereq changes for 2.4.18-14.3_to_2.4.18-14.4_backport.patch
+	(cd linux && patch -p1 < ../patches/patch.fpu-fixup)
 
 	# add Debian packaging goo
 	mkdir linux/debian
